using Sleopok.Engine.Models;

namespace BukiVedi.Shared.Models
{
    public sealed class BookDocument
    {
        public string Id { get; set; }

        [SleoIndex("title", 100.0f, true)]
        public string Title { get; set; }

        [SleoIndex("titlelm", 90.0f)]
        public string TitleLemmas { get; set; }

        [SleoIndex("author", 90.0f, true)]
        public string Author { get; set; }

        [SleoIndex("genre", 10.0f, true)]
        public string Genre { get; set; }
    }
}
